parent
4244dc9ec4
commit
eb3fb493f9
@ -1,32 +0,0 @@
|
|||||||
--- wine-mono-4.5.6/build-winemono.sh.orig 2015-03-02 11:21:51.000000000 -0600
|
|
||||||
+++ wine-mono-4.5.6/build-winemono.sh 2015-03-07 23:40:43.725956614 -0600
|
|
||||||
@@ -62,7 +62,8 @@
|
|
||||||
|
|
||||||
cd "$CURDIR/build-cross-$ARCH"
|
|
||||||
if test 1 != $REBUILD || test ! -e Makefile; then
|
|
||||||
- CPPFLAGS="-gdwarf-2 -gstrict-dwarf" ../mono/configure --prefix="$CURDIR/build-cross-$ARCH-install" --build=$BUILD --target=$MINGW --host=$MINGW --with-tls=none --disable-mcs-build --enable-win32-dllmain=yes --with-libgc-threads=win32 PKG_CONFIG=false mono_cv_clang=no || exit 1
|
|
||||||
+ CFLAGS="-O0 -g -pipe -Wall -Werror=format-security -fexceptions --param=ssp-buffer-size=4 -grecord-gcc-switches -mtune=generic" \
|
|
||||||
+ CPPFLAGS="-O0 -gdwarf-2 -gstrict-dwarf" ../mono/configure --prefix="$CURDIR/build-cross-$ARCH-install" --build=$BUILD --target=$MINGW --host=$MINGW --with-tls=none --disable-mcs-build --enable-win32-dllmain=yes --with-libgc-threads=win32 PKG_CONFIG=false mono_cv_clang=no || exit 1
|
|
||||||
sed -e 's/-lgcc_s//' -i libtool
|
|
||||||
fi
|
|
||||||
WINEPREFIX=/dev/null make $MAKEOPTS || exit 1
|
|
||||||
@@ -108,6 +108,7 @@
|
|
||||||
|
|
||||||
cd "$CURDIR/build-cross-cli"
|
|
||||||
if test 1 != $REBUILD || test ! -e Makefile; then
|
|
||||||
+ CFLAGS="-O0 -g -pipe -Wall -Werror=format-security -fexceptions --param=ssp-buffer-size=4 -grecord-gcc-switches -mtune=generic" \
|
|
||||||
../mono/configure --prefix="$CURDIR/build-cross-cli-install" --with-mcs-docs=no --disable-system-aot || exit 1
|
|
||||||
fi
|
|
||||||
if test 1 = $USE_MONOLITE; then
|
|
||||||
--- wine-mono-4.5.6/mono/libgc/win32_threads.c.orig 2015-03-08 00:50:02.940982196 -0600
|
|
||||||
+++ wine-mono-4.5.6/mono/libgc/win32_threads.c 2015-03-08 00:50:18.624128240 -0600
|
|
||||||
@@ -165,9 +165,6 @@
|
|
||||||
* GC_max_thread_index may temporarily be larger than MAX_THREADS.
|
|
||||||
* To avoid subscript errors, we check on access.
|
|
||||||
*/
|
|
||||||
-#ifdef __GNUC__
|
|
||||||
-__inline__
|
|
||||||
-#endif
|
|
||||||
LONG GC_get_max_thread_index()
|
|
||||||
{
|
|
||||||
LONG my_max = GC_max_thread_index;
|
|
@ -0,0 +1,12 @@
|
|||||||
|
--- wine-mono-4.5.6/mono/libgc/win32_threads.c.orig 2015-03-08 00:50:02.940982196 -0600
|
||||||
|
+++ wine-mono-4.5.6/mono/libgc/win32_threads.c 2015-03-08 00:50:18.624128240 -0600
|
||||||
|
@@ -165,9 +165,6 @@
|
||||||
|
* GC_max_thread_index may temporarily be larger than MAX_THREADS.
|
||||||
|
* To avoid subscript errors, we check on access.
|
||||||
|
*/
|
||||||
|
-#ifdef __GNUC__
|
||||||
|
-__inline__
|
||||||
|
-#endif
|
||||||
|
LONG GC_get_max_thread_index()
|
||||||
|
{
|
||||||
|
LONG my_max = GC_max_thread_index;
|
@ -0,0 +1,22 @@
|
|||||||
|
--- a/mono/utils/mono-compiler.h 2015-02-27 16:42:27.000000000 -0600
|
||||||
|
+++ b/mono/utils/mono-compiler.h 2015-04-23 10:52:44.137887962 -0500
|
||||||
|
@@ -13,7 +13,7 @@
|
||||||
|
#define MONO_FAST_TLS_SET(x,y) x = y
|
||||||
|
#define MONO_FAST_TLS_GET(x) x
|
||||||
|
#define MONO_FAST_TLS_INIT(x)
|
||||||
|
-#define MONO_FAST_TLS_DECLARE(x) static __thread gpointer x MONO_TLS_FAST;
|
||||||
|
+#define MONO_FAST_TLS_DECLARE(x) static __thread gpointer __attribute__((used)) x MONO_TLS_FAST;
|
||||||
|
|
||||||
|
#if HAVE_TLS_MODEL_ATTR
|
||||||
|
|
||||||
|
--- a/mono/metadata/sgen-alloc.c 2015-04-23 11:03:09.641290545 -0500
|
||||||
|
+++ b/mono/metadata/sgen-alloc.c 2015-04-23 11:02:56.601136395 -0500
|
||||||
|
@@ -94,7 +94,7 @@
|
||||||
|
static __thread char *tlab_temp_end;
|
||||||
|
static __thread char *tlab_real_end;
|
||||||
|
/* Used by the managed allocator/wbarrier */
|
||||||
|
-static __thread char **tlab_next_addr;
|
||||||
|
+static __thread char __attribute__((used)) **tlab_next_addr;
|
||||||
|
#endif
|
||||||
|
|
||||||
|
#ifdef HAVE_KW_THREAD
|
Loading…
Reference in new issue